Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 06 Oct 2021 11:12:15 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery The delivery guy through our order on the floor and left. We didn't agree on the delivery time. He called me while I am at work to tell me that he is in front of the house. I tried calling home but no one was there. I asked him to drop the order at 4pm when I am home. But he through the order on floor and left. I explained to him that his is not my home, I only rent one apartment and there are other families living in the house. He replied back to me telling me that I should go around and ask the other familied about my order. is this accepted??????? I paid by Visa. this means that we cannot trust payment to MAX by Visa. next time I will only choose cash on deliver https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3192137